Bug 496896 - kickstart pv with --size=1 --grow doesn't work as expected
kickstart pv with --size=1 --grow doesn't work as expected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:8f216a318d799c6aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 11:16 EDT by Andrew McNabb
Modified: 2012-07-12 08:38 EDT (History)
16 users (show)

See Also:
Fixed In Version: anaconda-13.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-18 11:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (236.57 KB, text/plain)
2009-04-21 11:16 EDT, Andrew McNabb
no flags Details
Attached traceback automatically from anaconda. (236.38 KB, text/plain)
2009-04-21 11:21 EDT, Andrew McNabb
no flags Details
interactive kickstart script (1.11 KB, text/plain)
2009-04-21 11:38 EDT, Andrew McNabb
no flags Details
Attached traceback automatically from anaconda. (229.88 KB, text/plain)
2009-04-21 13:06 EDT, Andrew McNabb
no flags Details
Attached traceback automatically from anaconda. (61.75 KB, text/plain)
2009-05-11 12:28 EDT, Markus Mayer
no flags Details
Attached traceback automatically from anaconda. (63.95 KB, text/plain)
2009-06-09 12:17 EDT, Karel Volný
no flags Details
Attached traceback automatically from anaconda. (63.95 KB, text/plain)
2009-06-11 06:40 EDT, Alexey Torkhov
no flags Details
Attached traceback automatically from anaconda. (209.01 KB, text/plain)
2009-06-19 16:37 EDT, Andrew McNabb
no flags Details
Attached traceback automatically from anaconda. (108.30 KB, text/plain)
2009-06-23 23:06 EDT, Ronaldo
no flags Details
Attached traceback automatically from anaconda. (124.14 KB, text/plain)
2009-07-07 00:12 EDT, Devin LaSalle
no flags Details
Attached traceback automatically from anaconda. (272.58 KB, text/plain)
2009-07-22 14:17 EDT, Yusuf Aytaş
no flags Details
Attached traceback automatically from anaconda. (408.39 KB, text/plain)
2009-07-22 14:27 EDT, Yusuf Aytaş
no flags Details
Attached traceback automatically from anaconda. (343.12 KB, text/plain)
2009-09-11 10:36 EDT, Lukas
no flags Details
Attached traceback automatically from anaconda. (82.55 KB, text/plain)
2009-09-24 13:00 EDT, Moroni Michael
no flags Details
Attached traceback automatically from anaconda. (638.42 KB, text/plain)
2009-10-27 03:18 EDT, Peter Davie
no flags Details
Attached traceback automatically from anaconda. (169.27 KB, text/plain)
2009-11-12 10:53 EST, PavelR
no flags Details
Attached traceback automatically from anaconda. (101.92 KB, text/plain)
2010-03-02 03:58 EST, Nina
no flags Details
Attached traceback automatically from anaconda. (92.12 KB, text/plain)
2010-10-18 08:37 EDT, fengzi
no flags Details
Attached traceback automatically from anaconda. (163.03 KB, text/plain)
2010-10-18 08:46 EDT, fengzi
no flags Details
Attached traceback automatically from anaconda. (112.94 KB, text/plain)
2012-07-12 08:30 EDT, sj
no flags Details
Attached traceback automatically from anaconda. (113.17 KB, text/plain)
2012-07-12 08:33 EDT, sj
no flags Details
Attached traceback automatically from anaconda. (112.85 KB, text/plain)
2012-07-12 08:38 EDT, sj
no flags Details

  None (edit)
Description Andrew McNabb 2009-04-21 11:16:16 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.46 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 1946, in _setSize
    raise ValueError("not enough free space in volume group")
  File "/usr/lib/anaconda/storage/partitioning.py", line 1132, in growLVM
    lv.size += grow_amounts[lv.name]
  File "/usr/lib/anaconda/storage/partitioning.py", line 193, in doAutoPartition
    growLVM(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1323, in nextClicked
    self.anaconda.dispatch.gotoNext()
ValueError: not enough free space in volume group
Comment 1 Andrew McNabb 2009-04-21 11:16:22 EDT
Created attachment 340546 [details]
Attached traceback automatically from anaconda.
Comment 2 Andrew McNabb 2009-04-21 11:21:01 EDT
Created attachment 340548 [details]
Attached traceback automatically from anaconda.
Comment 3 Andrew McNabb 2009-04-21 11:38:59 EDT
Created attachment 340556 [details]
interactive kickstart script

In case it helps, I got these errors when installing over an existing Fedora 10 system.  The system netbooted into the installer with a kickstart script set to interactive mode.  I'm attaching the kickstart script.

I finally chose to do a manual layout.  At first, it showed that my disk was empty.  As soon as I added a partition, it suddenly added back the preexisting partitions.  Once the preexisting partitions appeared, I was able to delete them, and the partitioning then proceeded as expected.
Comment 4 Andrew McNabb 2009-04-21 13:06:06 EDT
Created attachment 340584 [details]
Attached traceback automatically from anaconda.
Comment 5 Markus Mayer 2009-05-11 12:28:08 EDT
Created attachment 343479 [details]
Attached traceback automatically from anaconda.
Comment 6 Markus Mayer 2009-05-11 12:40:13 EDT
(In reply to comment #5)
> Created an attachment (id=343479) [details]
> Attached traceback automatically from anaconda.  

This error appears when I am trying to install Fedora 11 on an 1 Gb Harddrive.
Comment 7 David Cantrell 2009-05-12 20:29:11 EDT
If you change this line in your kickstart file:

part / --size=10000 --grow --fstype ext3 --ondisk=sda

to:

part / --size=1 --grow --fstype ext3 --ondisk=sda

Does the installation complete?
Comment 8 Andrew McNabb 2009-05-13 02:15:28 EDT
I'm out of the country, so it will be about two weeks before I will be able to test this.  I'll try it as soon as I can.
Comment 9 Bug Zapper 2009-06-09 10:19:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Karel Volný 2009-06-09 12:17:21 EDT
Created attachment 347053 [details]
Attached traceback automatically from anaconda.
Comment 11 Karel Volný 2009-06-09 12:22:41 EDT
(In reply to comment #10)
> Created an attachment (id=347053) [details]
> Attached traceback automatically from anaconda.  

I was installing using netinst image, in qemu with hda set to 1 GB USB stick attached to /dev/sdb - similar as comment #6

at the beginning, the installer complained about disk not being ready, so I've chosen to let it "initialize" it (sigh)
Comment 12 Alexey Torkhov 2009-06-11 06:40:15 EDT
Created attachment 347370 [details]
Attached traceback automatically from anaconda.
Comment 13 Andrew McNabb 2009-06-19 16:37:04 EDT
Created attachment 348706 [details]
Attached traceback automatically from anaconda.
Comment 14 Andrew McNabb 2009-06-19 16:47:33 EDT
David, I tried changing the size for / from 10000 to 1 and that seemed to work around the problem.  Sorry for taking so long to test this.
Comment 15 Ronaldo 2009-06-23 23:06:55 EDT
Created attachment 349186 [details]
Attached traceback automatically from anaconda.
Comment 16 Devin LaSalle 2009-07-07 00:12:09 EDT
Created attachment 350729 [details]
Attached traceback automatically from anaconda.
Comment 17 Devin LaSalle 2009-07-07 00:29:43 EDT
Comment on attachment 350729 [details]
Attached traceback automatically from anaconda.

The first time I ran the netinst image I was able to make out a custom partitioning scheme and this output is from anaconda crashing right at the end of that.  On subsequent reboots anaconda now crashes at the screen in which the user selects the option to review and customize partitioning even before doing it.
Comment 18 Yusuf Aytaş 2009-07-22 14:17:30 EDT
Created attachment 354762 [details]
Attached traceback automatically from anaconda.
Comment 19 Yusuf Aytaş 2009-07-22 14:27:13 EDT
Created attachment 354766 [details]
Attached traceback automatically from anaconda.
Comment 20 Lukas 2009-09-11 10:36:32 EDT
Created attachment 360688 [details]
Attached traceback automatically from anaconda.
Comment 21 Moroni Michael 2009-09-24 13:00:42 EDT
Created attachment 362534 [details]
Attached traceback automatically from anaconda.
Comment 22 Peter Davie 2009-10-27 03:18:15 EDT
Created attachment 366213 [details]
Attached traceback automatically from anaconda.
Comment 23 Chris Lumens 2009-10-28 10:26:27 EDT
Dave - I believe this is likely to be fixed by your new request growing code.  Your thoughts?
Comment 24 David Lehman 2009-10-28 10:51:28 EDT
I don't think so. The idea here is that people specify their pv as size=1 grow=True and then another partition as size=$bignumber grow=True, right? This means that in the old code and the new code we will allocate $bignumber times as many sectors to the non-pv request when growing the partitions.

Even if we made all requests grow at an equal rate this approach to kickstart partitioning makes no sense -- it would require an algorithm that tries to even out the sizes of the requests in spite of the base size specs. If you know your ks.cfg specifies an lv w/ size=1024, how can you possibly expect things to go well when you specify the sole pv w/ size=1, regardless of grow. It just makes no sense. We're guilty of it as well in autopart -- we should determine the minimum size required by the autopart lv reqs and make sure the sum of the pvs at least matches that.
Comment 25 PavelR 2009-11-12 10:53:00 EST
Created attachment 369242 [details]
Attached traceback automatically from anaconda.
Comment 26 David Lehman 2009-11-13 10:17:00 EST
For all of you who put "--size=1 --grow" physical volume requests in your kickstart scripts, please stop and think: if you are requesting logical volumes that total > 1000MB, how could it possibly be wise to only request a minimum of 1MB for the only physical volume?
Comment 27 Andrew McNabb 2009-11-16 17:50:02 EST
Dave, I originally had "--size=10000".  In Comment #7, David Cantrell suggested switching to "--size=1" as a workaround.  I agree that specifying a size of 1 MB doesn't make much sense, but at least it stopped the installer from crashing. :)
Comment 28 David Lehman 2010-01-18 11:17:13 EST
A change was included in anaconda-13.8-1 to cause a more graceful (also recoverable) failure when specified volume group space is not adequate to satisfy logical volume requests.
Comment 29 Nina 2010-03-02 03:58:29 EST
Created attachment 397257 [details]
Attached traceback automatically from anaconda.
Comment 30 fengzi 2010-10-18 08:37:11 EDT
Created attachment 454099 [details]
Attached traceback automatically from anaconda.
Comment 31 fengzi 2010-10-18 08:46:17 EDT
Created attachment 454101 [details]
Attached traceback automatically from anaconda.
Comment 32 sj 2012-07-12 08:30:22 EDT
Created attachment 597785 [details]
Attached traceback automatically from anaconda.
Comment 33 sj 2012-07-12 08:33:49 EDT
Created attachment 597786 [details]
Attached traceback automatically from anaconda.
Comment 34 sj 2012-07-12 08:38:23 EDT
Created attachment 597789 [details]
Attached traceback automatically from anaconda.

Note You need to log in before you can comment on or make changes to this bug.